### AUTOUPDATE-OFF: 1
%define majver %(echo %version | cut -d. -f1-2)
Name:          mpd
Version:       0.20.5
Release:       1mamba
Summary:       Music Player Daemon (MPD)
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.musicpd.org/
Source:        http://www.musicpd.org/download/mpd/%{majver}/mpd-%{version}.tar.xz
#Source:        http://downloads.sourceforge.net/project/musicpd/mpd/%{version}/mpd-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel >= 2.7
BuildRequires: libalsa-devel >= 1.0.17
BuildRequires: libao-devel >= 0.8.8
BuildRequires: libaudiofile-devel >= 0.2.6
BuildRequires: libavahi-devel >= 0.6.22
BuildRequires: libfaad2-devel >= 2.5
BuildRequires: libflac-devel >= 1.2.1
BuildRequires: libid3tag-devel >= 0.15.1b
BuildRequires: libjack-devel >= 0.103.0
BuildRequires: libmad-devel >= 0.15.1b
BuildRequires: libmikmod-devel >= 3.1.11
#BuildRequires: libmpcdec-devel >= 1.2.6
BuildRequires: libogg-devel >= 1.1.3
BuildRequires: libsamplerate-devel >= 0.1.4
BuildRequires: libshout-devel >= 2.2.2
BuildRequires: libspeex-devel >= 1.2
BuildRequires: libtheora-devel >= 1.0
BuildRequires: libvorbis-devel >= 1.2.0
BuildRequires: libz-devel >= 1.2.3
## AUTOBUILDREQ-END
BuildRequires: libmusepack-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
########### MPD CONFIGURATION ############

# Playback Support:
# libao support .................enabled
# OSS support ...................enabled
# ALSA support ..................enabled
# JACK support ..................enabled
# OS X support ..................disabled
# PulseAudio support ............disabled
# Media MVP support .............enabled
# Shout streaming support .......enabled

# File Format Support:
# ID3 tag support ...............enabled
# mp3 support ...................enabled
# Ogg Vorbis support ............enabled
#   using tremor.................no
# FLAC support ..................enabled
# OggFLAC support ...............enabled(FLAC 1.1.3)
# Wave file support .............enabled
# MP4/AAC support ...............enabled
# Musepack (MPC) support ........enabled
# MOD support ...................enabled

# Other features:
# libsamplerate support .........enabled
# Zeroconf support ..............avahi


########################################## 

%description
Music Player Daemon (MPD) allows remote access for playing music and managing playlists. MPD is designed for integrating a computer into a stereo system that provides control for music playback over a local network. It also makes a great desktop music player, especially if you are a console junkie, like frontend options, or restart X often.

Features

* Plays MP3, Ogg Vorbis, FLAC, MP4/AAC, Mod, and wave files
* Remotely control MPD over a network (IPv4 and IPv6 supported)
* Play MP3 and Ogg Vorbis streams
* Easy to Install
* Stores ID3 (id3v1 and id3v2) tag information (MP3s, FLAC's, and AAC's)
* Stores Vorbis Comments information (Ogg's and FLAC's)
* Stores MP4 metadata information (MP4/AAC's)
* ID3/Vorbis information can be searched
* Easy to import new songs
* Buffer support for playback (prevents skipping due to high load or network latency)
* Gapless playback (great for live albums)
* Crossfading support
* Seeking support
* Save, Load, and Manage Playlists (in m3u format)
* Volume control (OSS, Alsa, and software mixers)
* Wide range of audio devices supported (OSS, Alsa, Sun, esd, arts, and more)
* Minimal hardware requirements
* Tested on Linux, FreeBSD, OpenBSD, NetBSD, Solaris, and HPUX

%prep
%setup -q

%build
%configure --enable-mvp --enable-ao
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mpd
%{_mandir}/man1/mpd.1.gz
%{_mandir}/man5/mpd.conf.5.gz
%dir %{_docdir}/mpd
%doc %{_docdir}/mpd/*

%changelog
* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.20.5-1mamba
- automatic version update by autodist

* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 0.20.4-1mamba
- automatic version update by autodist

* Thu Jan 26 2017 Automatic Build System <autodist@mambasoft.it> 0.20.3-1mamba
- automatic version update by autodist

* Sun Jan 15 2017 Automatic Build System <autodist@mambasoft.it> 0.20.2-1mamba
- automatic version update by autodist

* Tue Jan 10 2017 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Wed Jan 04 2017 Automatic Build System <autodist@mambasoft.it> 0.20-1mamba
- automatic version update by autodist

* Wed Dec 14 2016 Automatic Build System <autodist@mambasoft.it> 0.19.21-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 0.19.20-1mamba
- automatic version update by autodist

* Tue Aug 23 2016 Automatic Build System <autodist@mambasoft.it> 0.19.19-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 0.19.18-1mamba
- automatic version update by autodist

* Sun Jul 10 2016 Automatic Build System <autodist@mambasoft.it> 0.19.17-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 0.19.16-1mamba
- automatic version update by autodist

* Tue May 03 2016 Automatic Build System <autodist@mambasoft.it> 0.19.15-1mamba
- automatic version update by autodist

* Sat Mar 19 2016 Automatic Build System <autodist@mambasoft.it> 0.19.14-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 0.19.13-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 0.19.12-1mamba
- automatic version update by autodist

* Tue Oct 27 2015 Automatic Build System <autodist@mambasoft.it> 0.19.11-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 0.19.10-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 0.19.9-1mamba
- automatic version update by autodist

* Fri Jan 16 2015 Automatic Build System <autodist@mambasoft.it> 0.19.8-1mamba
- automatic version update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 0.19.7-1mamba
- automatic version update by autodist

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 0.19.5-1mamba
- automatic version update by autodist

* Wed Nov 19 2014 Automatic Build System <autodist@mambasoft.it> 0.19.4-1mamba
- automatic version update by autodist

* Wed Nov 12 2014 Automatic Build System <autodist@mambasoft.it> 0.19.3-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 0.19.2-1mamba
- automatic version update by autodist

* Tue Oct 21 2014 Automatic Build System <autodist@mambasoft.it> 0.19.1-1mamba
- automatic version update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 0.18.16-1mamba
- automatic version update by autodist

* Fri Sep 12 2014 Automatic Build System <autodist@mambasoft.it> 0.18.14-1mamba
- automatic version update by autodist

* Mon Sep 01 2014 Automatic Build System <autodist@mambasoft.it> 0.18.13-1mamba
- automatic version update by autodist

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 0.18.12-1mamba
- automatic version update by autodist

* Tue May 13 2014 Automatic Build System <autodist@mambasoft.it> 0.18.11-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 0.18.10-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 0.18.9-1mamba
- automatic version update by autodist

* Fri Feb 07 2014 Automatic Build System <autodist@mambasoft.it> 0.18.8-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 0.18.7-1mamba
- automatic version update by autodist

* Tue Dec 24 2013 Automatic Build System <autodist@mambasoft.it> 0.18.6-1mamba
- automatic version update by autodist

* Sun Dec 01 2013 Automatic Build System <autodist@mambasoft.it> 0.18.5-1mamba
- automatic version update by autodist

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 0.17.6-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 0.17.5-1mamba
- automatic update by autodist

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 0.17.4-1mamba
- update to 0.17.4

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 0.17.3-1mamba
- update to 0.17.3

* Fri Apr 06 2012 Automatic Build System <autodist@mambasoft.it> 0.16.8-1mamba
- automatic version update by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 0.13.2-3mamba
- automatic rebuild by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 0.13.2-2mamba
- automatic rebuild by autodist

* Sun Aug 17 2008 gil <puntogil@libero.it> 0.13.2-1mamba
- package created by autospec 
